/* esempio_11_fotoresistenza_LED
 * Misuratore di luce
 * visualizza il livello di luce misurato dalla fotoresistenza sul terminale ed accende il LED interno se la luce è bassa
 *
 * Analog 1 - Fotoresistenza - Luce
 */

#define LEDPIN  13

#define  LUCE   1

void setup () {
  int i;

  Serial.begin (9600);    // Imposta la velocita' della seriale
  pinMode(LEDPIN, OUTPUT);
}

void loop () {
  int i;
  i = analogRead(LUCE);
  Serial.print ("Valore di luce: ");
  Serial.println (i);
  if (i > 250) {
    digitalWrite(LEDPIN, HIGH);
  } else {
    digitalWrite(LEDPIN, LOW);
  }
  delay (500);
}


